let app = getApp();
var WxParse = require('../../wxParse/wxParse.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    background: ['demo-text-1', 'demo-text-2', 'demo-text-3'],
    indicatorDots: true,
    autoplay: true,
    circular: true,
    interval: 2000,
    duration: 500,
    currentIndex: 1,
    number: 1,
    taocanBoxShow: false,
    details: {},
    proId: ''
  },
  goSettlement: function() {
    wx.setStorage({
      key: "product",
      data: [this.data.details]
    })
    wx.navigateTo({
      url: "/pages/Product/Settlement/Settlement",
    })
  },
  goShoppingCart: function (e) {
    wx.switchTab({
      url: '/pages/ShoppingCart/ShoppingCart',
    })
  },
  addGwc: function (e) {
    app.$api('Shop_post_SetCommodityShopInfo', {
      CommodityId: this.data.proId,
      GuestAccountId: app.state.admin.id,
      CustomerId: 0,
      Number: 1,
    }).then(res => {
      console.log(res)
      wx.showToast({
        title: '添加成功',
        icon: 'none',
        duration: 2000
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  setBoxShow: function (e) {
    this.setData({
      [e.currentTarget.dataset.name]: !this.data[e.currentTarget.dataset.name]
    })
  },
  // regNumber: function (e){
  //   this.setData({
  //     number: e.detail.value * 1
  //   })
  // },
  // calculation: function (e) {
  //   let type = e.currentTarget.dataset.type
  //   if (type == 1) {
  //     this.setData({
  //       number: this.data.number === 1 ? 1 : this.data.number - 1
  //     })
  //   } else {
  //     this.setData({
  //       number: this.data.number + 1
  //     })
  //   }
  // },
  bindanimationfinish: function (e){
    let index = e.detail.current
    this.setData({
      currentIndex: index + 1
    })
  },
  regNumber: function (e){
    if (isNaN(this.data.details.number * 1)) {
      this.data.details.number = 1
    } else {
      this.data.details.number = e.detail.value * 1
    }
    this.setData({
      details: this.data.details
    })
  },
  calculation: function (e) {
    let type = e.currentTarget.dataset.type;
    let details = this.data.details
    if (isNaN(details.number)) {
      details.number = 1
    }
    if (type == 1) {
      details.number = details.number === 1 ? 1 : details.number - 1
      this.setData({
        details: details
      })
    } else {
      details.number = details.number + 1
      this.setData({
        details: details
      })
    }
  },
  init: function (id){
    app.$api('Shop_post_GetCommodityInfo', {
      CommodityId: id
    }).then(res => {
      let data = res
      res.number = 1
      WxParse.wxParse('Content', 'html', res.Content, this, 0);
      this.setData({
        details: res
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.setNavigationBarTitle({
      title: '商品详情'
    })
    let id = options.id
    this.init(id)
    this.setData({
      proId: id
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})