let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    msg: {
      pageSize: 5,
      pageIndex: 1,
      SellType: 0,
      Status: 3,
      OrderBy: 0,
      OrderType: 1,
      Name: ''
    },
    saleSort: 0,
    priceSort: 0,
    totalPage: 0,
    pageIndex: 1,
    dataList: [],
    active: true,
    searchKey: '',
    allNumber: 0,
  },
  zongheSort: function (){
    this.setData({
      "msg.pageSize": 5,
      "msg.pageIndex": 1,
      "msg.SellType": .0,
      "msg.Status": 3,
      "msg.OrderBy": 0,
      "msg.OrderType": 1,
      "msg.Name": '',
      saleSort: 0,
      priceSort: 0,
      active: true
    })
    this.getList()
  },
  goDerails: function (e) {
    let id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: '/pages/Product/ProductDetails/ProductDetails?id=' + id,
    })
  },
  changeSort: function (e) {
    let type = e.currentTarget.dataset.type
    if (type == 'saleSor') {
      this.setData({
        'msg.OrderBy': 1,
        'msg.OrderType': this.data.saleSort === 0 ? 2 : 1,
        priceSort: 0,
        saleSort: this.data.saleSort === 0 ? 1 : 0,
        'msg.pageIndex': 1,
        pageIndex: 1,
        active: false
      })
    } else {
      this.setData({
        'msg.OrderBy': 3,
        'msg.OrderType': this.data.priceSort === 0 ? 2 : 1,
        saleSort: 0,
        priceSort: this.data.priceSort === 0 ? 1 : 0,
        'msg.pageIndex': 1,
        pageIndex: 1,
        active: false
      })
    }
    this.getList()
  },
  inputText: function (e) {
    this.setData({
      'msg.Name': e.detail.value,
      searchKey: e.detail.value
    })
  },
  SearchPage: function (e){
    this.setData({
      'msg.pageIndex': 1,
      pageIndex: 1,
    })
    this.getList()
  },
  getList: function (type) {
    this.setData({
      'msg.Name': this.data.searchKey,
    })
    if (this.data.pageIndex >= this.data.totalPage && type) {
      return
    }
    app.$api('Shop_post_GetPageList', this.data.msg).then(res => {
      let arr = this.data.dataList;
      let arr2 = []
      res.pageData.map(x => {
        x.select = false;
        x.right = 0;
        arr2.push(x)
      });
      if (type) {
        for (let i = 0; i < arr2.length; i++) {
          arr.push(arr2[i])
        }
      } else {
        arr = arr2
      }
      this.setData({
        dataList: arr,
        totalPage: res.pageCount ? res.pageCount : 1,
        pageIndex: res.pageIndex ? res.pageIndex : 1,
      })
      wx.hideLoading()
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  scrollGetMore: function () {
    this.setData({
      'msg.pageIndex': this.data.pageIndex + 1,
    })
    this.getList(1)
  },
  getGwc: function () {
    app.$api('Shop_post_GetCommodityShopNumber', {
      GuestAccountId: app.state.admin.id,
    }).then(res => {
      this.setData({
        allNumber: res
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  goShoppingCart: function () {
    wx.switchTab({
      url: '/pages/ShoppingCart/ShoppingCart',
    })
  },
  addGwc: function (e) {
    let id = e.currentTarget.dataset.id
    app.$api('Shop_post_SetCommodityShopInfo', {
      CommodityId: id,
      GuestAccountId: app.state.admin.id,
      CustomerId: 0,
      Number: 1,
    }).then(res => {
      this.getGwc()
      wx.showToast({
        title: '添加成功',
        icon: 'none',
        duration: 2000
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    let searchKey = ''
    if (typeof (options.searchKey) !== "undefined") {
      searchKey = options.searchKey
    }
    wx.setNavigationBarTitle({
      title: '商品列表'
    })
    this.setData({
      'msg.pageIndex': 1,
      pageIndex: 1,
      selectNum: 0,
      allMoney: 0,
      allShuiMoney: 0,
      searchKey: searchKey
    })
    // this.getList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getGwc()
    this.getList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})