let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    islogin: true
  },
  jumpPage: function(e){
    let url = e.currentTarget.dataset.url
    wx.navigateTo({
      url: url,
    })
  },
  onGotUserInfo: function (e) {
    console.log(e.detail.userInfo)
    if (e.detail.userInfo) {
      let userInfo = e.detail.userInfo
      app.$api('ShopGuest_post_SetGuestAccountService', {
        AccountName: userInfo.nickName,
        Id: app.state.admin.id,
        Sex: userInfo.gender
      }).then(r => {
        app.$api('ShopGuest_get_GetGuestAccountByOpenIdService', {
          OpenId: app.state.admin.openId
        }).then(r => {
          this.setData({
            userInfo: r,
            islogin: true
          })
          wx.setStorage({
            key: 'admin',
            data: r,
          })
        }).catch(err => {

        })
      }).catch(err => {

      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    let _this = this
    wx.getStorage({
      key: 'admin',
      success: function(res) {
        _this.setData({
          userInfo: res.data
        })
      },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let _this = this;
    wx.getSetting({
      success(res) {
        if (!res.authSetting['scope.userInfo']) {
          _this.setData({
            islogin: false
          })
        } else {
          _this.setData({
            islogin: true
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})