let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    active: 0,
    classList: [],
    classList2: [],
  },
  jumpPage: function (e) {
    let id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: "/pages/Product/ProductList/ProductList?id=" + id,
    })
  },
  changeleft: function (e){
    let Id = e.currentTarget.dataset.id
    this.setData({
      active: Id
    })
    this.getList2(Id)
  },
  getList2: function (id){
    app.$api('Shop_post_GetCommodityCategoryList', {
      Name: '',
      ParentId: id,
    }).then(res => {
      console.log(res)
      this.setData({
        classList2: res
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  getList: function () {
    app.$api('Shop_post_GetCommodityCategoryList', {
      Name: '',
      ParentId: 0,
    }).then(res => {
      console.log(res)
      this.setData({
        classList: res,
        active: res[0].Id
      })
      this.getList2(res[0].Id)
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    wx.setNavigationBarTitle({
      title: '分类'
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getList()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})