let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    details: {
    },
    CorderId: 0
  },
  goSettlement: function (e) {
    let index = e.currentTarget.dataset.index;
    let obj = this.data.details.OrderDetailsList,
      obj2 = [];
    obj.map(x => {
      x.Id = x.CommodityId
      x.CostPrice = x.CommodityCostPrice
      x.number = x.CommodityNum
      x.Name = x.CommodityName
      x.SellPrice = x.CommodityPrice
      x.SellPrice = x.CommodityPrice
      x.CorderId = this.data.CorderId
      obj2.push(x)
    })
    wx.setStorage({
      key: "product",
      data: obj2
    })
    wx.navigateTo({
      url: "/pages/Product/Settlement/Settlement?isOrder=1",
    })
  },
  goLogistics: function (){
    wx.navigateTo({
      url: "/pages/Product/logistics/logistics?id=" + this.data.CorderId,
    })
  },
  init: function (){
    let id = this.data.CorderId
    app.$api('ShopOrder_get_GetCommodityOrderDetailsService', { CorderId: id }).then(res => {
      this.setData({
        CorderId: id,
        details: res
      })
    }).catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000
      })
    })
  },
  cancelOrder: function () {
    let id = this.data.CorderId
    let _this = this;
    wx.showModal({
      title: '提示',
      content: '是否取消？取消后不可恢复！',
      success(res) {
        if (res.confirm) {
          app.$api('ShopOrder_post_CancelOrderStatusService', { CorderId: id }).then(res => {
            wx.showToast({
              title: '删除成功',
              icon: 'none',
              duration: 2000
            })
            _this.init()
          }).catch(err => {
            wx.showToast({
              title: err.message,
              icon: 'none',
              duration: 2000
            })
          })
        } else if (res.cancel) {

        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu()
    this.setData({
      CorderId: options.id
    })
    this.init()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})